# riscv::register::hstatus - Rust
HStatus Register.
Keywords: rust, rustlang, rust-lang, hstatus

# Module riscv::register::hstatus

source · [−]
Expand description

HStatus Register.

## Structs

Hstatus

## Enums

VsxlValues

## Functions

clear_gva ⚠

Guest Virtual Address.

clear_hu ⚠

Hypervisor User mode.

clear_spv ⚠

Supervisor Previous Virtualization mode.

clear_spvp ⚠

Supervisor Previous Virtual Privilege.

clear_vsbe ⚠

VS access endianness.

clear_vtsr ⚠

TSR for VM.

clear_vtvm ⚠

TVM for VM.

clear_vtw ⚠

TW for VM.

read

Reads the CSR

set_gva ⚠

Guest Virtual Address.

set_hu ⚠

Hypervisor User mode.

set_spv ⚠

Supervisor Previous Virtualization mode.

set_spvp ⚠

Supervisor Previous Virtual Privilege.

set_vsbe ⚠

VS access endianness.

set_vtsr ⚠

TSR for VM.

set_vtvm ⚠

TVM for VM.

set_vtw ⚠

TW for VM.